Stock quantity batches
Update a stock quantity batch
Partially updates specific fields of an existing stock quantity batch without affecting the rest of the data.
Partially updates specific fields of an existing stock quantity batch without affecting the rest of the data.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockQuantityBatch identifier
Request Body
application/merge-patch+json
The updated StockQuantityBatch resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.skalasuite.com/api/stock_quantity_batches/string" \ -H "Content-Type: application/merge-patch+json" \ -d ''{
"id": 0,
"stockQuantity": {
"location": {
"id": 0,
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"createdAt": "2019-08-24T14:15:22Z"
},
"variant": {
"id": 0,
"stock": {
"id": 0,
"unit": {
"id": 0,
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"currency": {
"id": 0,
"name": "string",
"code": "string",
"symbol": "string"
},
"createdAt": "2019-08-24T14:15:22Z"
},
"code": "string",
"name": "string",
"createdAt": "2019-08-24T14:15:22Z"
},
"barcode": "string",
"label": "string",
"expirationDate": "2019-08-24T14:15:22Z",
"amount": "string",
"expectedAmount": "string",
"committedAmount": "string",
"missingAmount": "string",
"valueInStock": "string",
"averagePrice": "string",
"batchNumber": "string",
"createdAt": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty
